<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.13
Name: Versturen geldige partijnummers (interactie)
Description: Versturen geldige partijnummers. De waarde voor het element acceptAckCode is "AL".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000">
   <title>Versturen geldige partijnummers (interactie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL
Item: (VersturenGeldigePartijnummers)
-->

<rule context="hl7:PRMM_IN010043NL"
         id="tmp-3429998e-f0c9-4ab9-a5cc-3914af1ad036">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenGeldigePartijnummers): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:creationTime)&lt;=1">(VersturenGeldigePartijnummers): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:versionCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:versionCode)&lt;=1">(VersturenGeldigePartijnummers): element hl7:versionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(VersturenGeldigePartijnummers): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(VersturenGeldigePartijnummers): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:processingCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:processingCode)&lt;=1">(VersturenGeldigePartijnummers): element hl7:processingCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:processingModeCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:processingModeCode)&lt;=1">(VersturenGeldigePartijnummers): element hl7:processingModeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:acceptAckCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode)&lt;=1">(VersturenGeldigePartijnummers): element hl7:acceptAckCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:receiver)&gt;=1 and not(hl7:receiver/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:receiver is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:receiver)&lt;=1">(VersturenGeldigePartijnummers): element hl7:receiver komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:sender)&gt;=1 and not(hl7:sender/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:sender is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:sender)&lt;=1">(VersturenGeldigePartijnummers): element hl7:sender komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:ControlActProcess)&lt;=1">(VersturenGeldigePartijnummers): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL/hl7:id
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:id"
         id="tmp-3a991016-c10a-4605-882b-c2cbb9fbbe4e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@root and @extension">(TransmissionWrapperMCCI_MT000100): Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:creationTime"
         id="tmp-6d7b4815-31a4-44a1-bfa7-9f97a79147a9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATETIME.MIN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL/hl7:versionCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:versionCode"
         id="tmp-7b11fa48-4283-4fe8-a86c-0570d98004ea">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'NICTIZEd2005-Okt'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-839f7af3-7ffb-4cf9-a71e-844f3aa9e5fc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000100): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-ca37f276-00ce-4459-935b-3be62a4c5f11">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="string(@extension)='810'">(TransmissionWrapperMCCI_MT000100): de waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL/hl7:processingCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:processingCode"
         id="tmp-31d7234d-3e72-4f4b-97b9-00c86352ae81">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'P'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL/hl7:processingModeCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:processingModeCode"
         id="tmp-13df67a0-0147-4e70-9f3a-3921f1d1e44b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'T'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:PRMM_IN010043NL/hl7:acceptAckCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:acceptAckCode"
         id="tmp-dd264820-361b-4038-a382-2f76703509c6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='AL') or (@code='NE')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'AL' of code 'NE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:PRMM_IN010043NL/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver"
         id="tmp-03f91213-e91e-40d7-afb6-4b44d9173c8c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@typeCode)='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:PRMM_IN010043NL/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device"
         id="tmp-682d744a-35ee-4516-a753-75ba707f0c3e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-686eda95-8840-41a6-961b-db2b9f45b0a2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:name"
         id="tmp-858119bd-b566-4153-9bdb-a6331e59a8da">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='EN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:PRMM_IN010043NL/hl7:sender
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender"
         id="tmp-e52c1cf4-3e29-4eee-94c0-69a18bad3e9a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="string(@typeCode)='SND' or not(@typeCode)">(TransmissionWrapperSenderNotZIM): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:PRMM_IN010043NL/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device"
         id="tmp-34af88a2-62ca-4499-99f7-9274f15b40bc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-2b5a4d75-330f-4294-890f-295d6445d6cf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperSenderNotZIM): Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:name"
         id="tmp-ea6aa59e-9bbd-4b33-b964-91ef9f229756">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='EN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: (VersturenGeldigePartijnummers)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess"
         id="tmp-1ad6bbad-2fac-4f9f-a2f5-182255a9e930">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenGeldigePartijnummers): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:text)=0">(VersturenGeldigePartijnummers): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenGeldigePartijnummers): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:reasonCode)=0">(VersturenGeldigePartijnummers): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:languageCode)=0">(VersturenGeldigePartijnummers): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:informationRecipient)=0">(VersturenGeldigePartijnummers): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:dataEnterer)=0">(VersturenGeldigePartijnummers): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedDevice])&gt;=1 and not(hl7:authorOrPerformer[*/hl7:AssignedDevice]/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:authorOrPerformer[*/hl7:AssignedDevice] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedDevice])&lt;=1">(VersturenGeldigePartijnummers): element hl7:authorOrPerformer[*/hl7:AssignedDevice] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]])&gt;=1 and not(hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]])&lt;=1">(VersturenGeldigePartijnummers): element hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:id"
         id="tmp-f90be29d-ae9e-475c-8e7c-e6eceed71663">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:code"
         id="tmp-0482a5b9-81de-4dc3-9eb6-2377d20d29bb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperMCAI_MT700201): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.1.18'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-ee2dfbb2-b8f3-403b-bbec-ccd9d7d98d50">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]"
         id="tmp-1c230a7d-16a7-4347-adb6-cd6328692f7f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerDevice): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant"
         id="tmp-cb24de5e-a91c-4f40-aaa0-22dd7c1e9c4a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:AssignedDevice)&gt;=1 and not(hl7:AssignedDevice/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:AssignedDevice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:AssignedDevice)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:AssignedDevice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice"
         id="tmp-f4e46778-0804-4880-a31b-06da81e799a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="not(hl7:id[@root='2.16.528.1.1007.3.2']) or hl7:Organization[hl7:id[@root='2.16.528.1.1007.3.3']]">(ControlActAuthorOrPerformerDevice): 
                            <name/> met een UZI-systeemnummer in id MOET als bij de organisatie een URA hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="not(hl7:id[@root='2.16.528.1.1007.3.2'] and hl7:Organization[hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']])">(ControlActAuthorOrPerformerDevice): 
                            <name/> met een UZI-systeemnummer in id MAG GEEN AORTA-organisatie-id als hebben.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6']|hl7:id[@root='2.16.528.1.1007.3.2'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.6'] of hl7:id[@root='2.16.528.1.1007.3.2']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.6'] of hl7:id[@root='2.16.528.1.1007.3.2']) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerDevice): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerDevice): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerDevice): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerDevice): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerDevice): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-2063f134-5efc-4090-b7ee-2298e3d8784e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.528.1.1007.3.2']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.528.1.1007.3.2']"
         id="tmp-c94d7697-2787-4650-8544-c5a3adf60917">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.2'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.528.1.1007.3.2' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:code
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:code"
         id="tmp-b9956559-1f39-4fee-8f1e-cf5240280e51">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:telecom
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:telecom"
         id="tmp-72a8c342-9f23-49b8-b3fc-edef14b080e2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:name
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:name"
         id="tmp-8c88fa34-5182-4605-8e37-34e64d2e1432">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:noteText
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:time
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:modeCode
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:signatureCode
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:signatureText
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization"
         id="tmp-43914555-e401-4e09-b847-7b31c44107b6">
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.3']|hl7:id[@root='2.16.840.1.113883.2.4.3.11']|hl7:id[@root='2.16.840.1.113883.2.4.3.11.25'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.528.1.1007.3.3'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.528.1.1007.3.3'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-a25df58b-7a10-4d35-b02f-24c2478cf250">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11']"
         id="tmp-215ea18e-b0b1-42d4-a278-f86d20e1cf2d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.840.1.113883.2.4.3.11' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@extension)='7'">(ControlActAuthorOrPerformerDevice): de waarde van @extension MOET '7' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']"
         id="tmp-6db20689-1a9c-4966-b69f-64c665de4053">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.25'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.25' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code"
         id="tmp-661b7b84-9477-49ec-b909-fde673c1bd5b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerDevice): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.15.1060'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom"
         id="tmp-394abe85-4bc1-41b2-aa8e-fe9c9c680b19">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name"
         id="tmp-99091225-2e99-41bb-b276-985e330cfde5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr"
         id="tmp-3080d7fe-887d-44cb-aa75-93bce04ad2f0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]
Item: (VersturenGeldigePartijnummers)
-->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]"
         id="tmp-7e583d21-baf3-46ae-9904-461befafb080">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(VersturenGeldigePartijnummers): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/*[not(self::hl7:id|self::hl7:creationTime|self::hl7:versionCode|self::hl7:interactionId[@root='2.16.840.1.113883.1.6']|self::hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']|self::hl7:processingCode|self::hl7:processingModeCode|self::hl7:acceptAckCode|self::hl7:receiver|self::hl7:sender|self::hl7:ControlActProcess)]"
         id="tmp-f5c527d2-65d0-4399-9d9c-46b9268b3169">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-f5c527d2-65d0-4399-9d9c-46b9268b3169: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:receiver/*[not(self::hl7:device)]"
         id="tmp-cffc8d11-25ca-4868-bb3f-66ab708d6bad">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="not(.)">(TransmissionWrapperReceiverNotZIM)/tmp-cffc8d11-25ca-4868-bb3f-66ab708d6bad: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/*[not(self::hl7:id[@root='2.16.840.1.113883.2.4.6.6']|self::hl7:name)]"
         id="tmp-7a0ce752-ec8f-49b2-9964-76a4d8bbe8e8">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="not(.)">(TransmissionWrapperReceiverNotZIM)/tmp-7a0ce752-ec8f-49b2-9964-76a4d8bbe8e8: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:sender/*[not(self::hl7:device)]"
         id="tmp-f8f86bea-84cf-4506-b675-32865579fddf">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="not(.)">(TransmissionWrapperSenderNotZIM)/tmp-f8f86bea-84cf-4506-b675-32865579fddf: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device/*[not(self::hl7:id[@root='2.16.840.1.113883.2.4.6.6']|self::hl7:name)]"
         id="tmp-92b13738-f348-455e-9977-31216a3d71a6">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="not(.)">(TransmissionWrapperSenderNotZIM)/tmp-92b13738-f348-455e-9977-31216a3d71a6: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/*[not(self::hl7:id|self::hl7:code|self::hl7:text|self::hl7:effectiveTime|self::hl7:reasonCode|self::hl7:languageCode|self::hl7:informationRecipient|self::hl7:dataEnterer|self::hl7:authorOrPerformer[*/hl7:AssignedDevice]|self::hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]])]"
         id="tmp-fdd5d8b0-5cfc-4d9c-82d8-fb2c16a81b60">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-fdd5d8b0-5cfc-4d9c-82d8-fb2c16a81b60: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/*[not(self::hl7:participant)]"
         id="tmp-ef46025c-07e9-4e84-b572-0919439e8027">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="not(.)">(ControlActAuthorOrPerformerDevice)/tmp-ef46025c-07e9-4e84-b572-0919439e8027: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/*[not(self::hl7:AssignedDevice)]"
         id="tmp-60df7a01-bc9e-4bfa-b640-e4ba82e52aec">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="not(.)">(ControlActAuthorOrPerformerDevice)/tmp-60df7a01-bc9e-4bfa-b640-e4ba82e52aec: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/*[not(self::hl7:id[@root='2.16.840.1.113883.2.4.6.6']|self::hl7:id[@root='2.16.528.1.1007.3.2']|self::hl7:code|self::hl7:telecom|self::hl7:name|self::hl7:noteText|self::hl7:time|self::hl7:modeCode|self::hl7:signatureCode|self::hl7:signatureText|self::hl7:Organization)]"
         id="tmp-cb878e80-43ad-405a-8426-9d2d437d1377">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="not(.)">(ControlActAuthorOrPerformerDevice)/tmp-cb878e80-43ad-405a-8426-9d2d437d1377: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/*[not(self::hl7:id[@root='2.16.528.1.1007.3.3']|self::hl7:id[@root='2.16.840.1.113883.2.4.3.11']|self::hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']|self::hl7:code|self::hl7:telecom|self::hl7:name|self::hl7:addr)]"
         id="tmp-17e098ed-332c-47b4-b25a-5b2527bbfbdb">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="not(.)">(ControlActAuthorOrPerformerDevice)/tmp-17e098ed-332c-47b4-b25a-5b2527bbfbdb: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/*[not(self::hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']])]"
         id="tmp-067c4f9e-24a5-4248-ab42-a682136d60d5">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-067c4f9e-24a5-4248-ab42-a682136d60d5: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList/*[not(self::hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']|self::hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')]|self::hl7:effectiveTime|self::hl7:product)]"
         id="tmp-1104883f-b2fa-4839-b079-52e490fbb5e9">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-1104883f-b2fa-4839-b079-52e490fbb5e9: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high|self::hl7:center|self::hl7:width)]"
         id="tmp-5b935f02-878f-4d9a-afa3-bee5b5a230f4">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-5b935f02-878f-4d9a-afa3-bee5b5a230f4: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList/hl7:product/*[not(self::hl7:instanceOfKind)]"
         id="tmp-a0e2bcf3-e1c3-473f-afb5-ef9fdd65bf96">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-a0e2bcf3-e1c3-473f-afb5-ef9fdd65bf96: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList/hl7:product/hl7:instanceOfKind/*[not(self::hl7:productInstanceInstance|self::hl7:kindOfProduct)]"
         id="tmp-13146664-d5e7-4b01-9396-923dde51f0a8">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-13146664-d5e7-4b01-9396-923dde51f0a8: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/*[not(self::hl7:id|self::hl7:expirationTime|self::hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]])]"
         id="tmp-afe1db1e-6117-4d88-9ad9-b1eba48441dc">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-afe1db1e-6117-4d88-9ad9-b1eba48441dc: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/*[not(self::hl7:low|self::hl7:high|self::hl7:width|self::hl7:center)]"
         id="tmp-15204d11-0413-432e-bf6f-62c1f089d4d6">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-15204d11-0413-432e-bf6f-62c1f089d4d6: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/*[not(self::hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']])]"
         id="tmp-b9db2b8d-74fe-4f25-9cb4-59a269ebf2f6">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-b9db2b8d-74fe-4f25-9cb4-59a269ebf2f6: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:kindOfMaterialKind/*[not(self::hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH'])]"
         id="tmp-0ab4a6a1-4765-4792-b359-c33ce6e99744">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-0ab4a6a1-4765-4792-b359-c33ce6e99744: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/*[not(self::hl7:code)]"
         id="tmp-72bbdc28-0ce6-4121-9743-9fb1839ccfba">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.13-2012-08-01T000000.html"
              test="not(.)">(VersturenGeldigePartijnummers)/tmp-72bbdc28-0ce6-4121-9743-9fb1839ccfba: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>
</pattern>
